#include "stm32f10x.h"
#include "delay.h"
#include "tm_stm32f4_hd44780.h"
GPIO_InitTypeDef GPIO_Ins ;

int main(void)
{

	RCC_APB2PeriphClockCmd(RCC_APB2Periph_GPIOA,ENABLE);
	
	
	GPIO_Ins.GPIO_Mode= GPIO_Mode_Out_PP;
	GPIO_Ins.GPIO_Pin=   GPIO_Pin_6 |GPIO_Pin_5 | GPIO_Pin_4 | GPIO_Pin_3 | GPIO_Pin_2 |  GPIO_Pin_1  | GPIO_Pin_0;
	GPIO_Ins.GPIO_Speed = GPIO_Speed_10MHz ;
	GPIO_Init(GPIOA,&GPIO_Ins);

	delay_intial();
	
	TM_HD44780_Init(16, 2);
  TM_HD44780_Puts(1, 1, "Hello");
	delayMs(1000);
	TM_HD44780_Clear();
	

	
	while(1) 
	{
	
	}
}

